<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta content="ie=edge" http-equiv="X-UA-Compatible">
        <title>float:ed image, multi blocks</title>
        <style>
            img {
                float: left;
                margin-right: 0.5em;
            }
        </style>
    </head>
    <body>
        <h1><code>float</code>:ed image, multi block elements</h1>
        <p>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod 
            tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
            quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
            <img src="http://lorempixel.com/100/200/city/"/>
            Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore 
        </p><p>
            eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, 
            sunt in culpa qui officia deserunt mollit anim id est laborum.
            Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium 
            doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore 
        </p><p style="clear:both;">
            veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim 
            ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia 
            consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque 
            porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, 
            adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore 
            et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis 
        </p><p>
            nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid 
            ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea 
            voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem 
            eum fugiat quo voluptas nulla pariatur.
        </p>
    </body>
</html>
